﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.Supplier;
@using Portal.Models.SupplierFeedbackSummary;

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:100px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Production Year";
                }).GetHtml()            
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "SAPSHProductionYearOption";

                    comboBox.Width = Unit.Pixel(110);
                    for (int i = 0; i <= 4; i++)
                    {
                        comboBox.Properties.Items.Add(Convert.ToString(DateTime.Now.Year - i));
                    }
                    comboBox.SelectedIndex = -1;
                    comboBox.Properties.ItemStyle.HorizontalAlign = HorizontalAlign.Center;
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:50px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Version";
                }).GetHtml()                                    
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "SAPSHVersionOption";
                    comboBox.Width = Unit.Pixel(110);

                    comboBox.SelectedIndex = -1;
                    comboBox.Properties.Items.Add("RAP");
                    comboBox.Properties.Items.Add("OAP");
                    comboBox.Properties.ItemStyle.HorizontalAlign = HorizontalAlign.Center;
                }
            ).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:55px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml()                                    
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SAPSHSupplierIDLookup";
                    gridLookup.Width = 108;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierAnnualPlanSummary", Action = "PartialHeaderSupplierLookupGridSupplierAnnualPlanSummary" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()
        </td>
    </tr>    
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td colspan="8" align="right">
            @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "SAPSHSearchButton";
                        button.Text = "Search";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "OnSAPSHSearchButtonClick";
                    }).GetHtml()
            @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "SAPSHClearButton";
                        button.Text = "Clear";
                        button.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "OnSAPSHClearButtonClick";
                    }).GetHtml()
        </td>
    </tr>
</table>